import { AgromaxLeafletController } from './dependencs/AgromaxLeafletController';
import { CreateMapOptions } from './dependencs';
import { MapOptions } from 'leaflet';
export declare class LeafletMapService {
    defaultOptions: MapOptions;
    constructor();
    createMap<T extends string | null = string>(divId: string | HTMLElement, options?: CreateMapOptions): AgromaxLeafletController<T>;
}
